/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.properties.filter;

import java.io.Serializable;

public class Filter implements Serializable {

	private static final long serialVersionUID = -3237207719940512194L;
	private Integer column = null;
	private String header = null;
	private String[] operators = null;
	private String[] values = null;
	private String[] originalValues = null;

	public Filter(int column, String header, String[] operators,
			String[] values, String[] originalValues) {
		this.column = column;
		this.header = header;
		this.operators = operators;
		this.values = values;
		this.originalValues = originalValues;
	}

	public Integer getColumn() {
		return column;
	}

	public void setColumn(Integer column) {
		this.column = column;
	}

	public String getHeader() {
		return header;
	}

	public void setHeader(String header) {
		this.header = header;
	}

	public String[] getOperators() {
		return operators;
	}

	public void setOperators(String[] operators) {
		this.operators = operators;
	}

	public String[] getValues() {
		return values;
	}

	public void setValues(String[] values) {
		this.values = values;
	}

	public String[] getOriginalValues() {
		return originalValues;
	}

	public void setOriginalValues(String[] originalValues) {
		this.originalValues = originalValues;
	}

}
